DIPlib Documentation - ©1995-2015 Quantitative Imaging Group, Delft University of Technology.

# FeatureDescriptionSetDimensionLabels

Label set convenience function

## SYNOPSIS

`#include "dip_measurement.h"`

dip_Error dip_FeatureDescriptionSetDimensionLabels ( description, measurement, featureID, baseLabel )

## FUNCTION

This function set the labels of the feature, described by `description`, by adding for each label a dimension indicator to `baseLabel`. For dimensions 0 to 3, X, Y or Z is added. For dimensions higher, the numerical value of the dimension is added.

## ARGUMENTS

Data type | Name | Description
`dip_FeatureDescription` | `description` | Feature description data structure
`dip_Measurement` | `measurement` | Measurement data structure
`dip_int` | `featureID` | ID of the measurement feature
`char *` | `baseLabel` | Base label

## SEE ALSO

`MeasurementFeatureDescription`, `FeatureDescriptionNew`, `FeatureDescriptionFree`, `FeatureDescriptionSetName`, `FeatureDescriptionGetName`, `FeatureDescriptionSetDescription`, `FeatureDescriptionGetDescription`, `FeatureDescriptionSetLabels`, `FeatureDescriptionGetLabels`, `FeatureDescriptionSetLabel`, `FeatureDescriptionSetDimensionLabels`, `FeatureDescriptionSetUnits`, `FeatureDescriptionGetUnits`, `FeatureDescriptionSetUnit`